## 注意
执行`sudo ./hub_update -vid=2109 -pid=2822  -hub1bin="VL822_Q7_08C3_SeeedStudio_Jetson_20230717.bin"` 时，USB上不能接设备

### 写固件

```shell
seeed@seeed-desktop:~/Release_20210830$ sudo ./hub_update -vid=2109 -pid=2822  -hub1bin="VL822_Q7_08C3_SeeedStudio_Jetson_20230717.bin"
[sudo] password for seeed: 
========================================
=   VLI Hub Linux Console Tool v 0.0   =
=                                      =
=              Sherlock Chu            =
=               2021.08.26             =
========================================

   device vid :pid  bcdDevice      (address)    bus    path
----------------------------------------------------------------
( )000000 2109:0822 bcdDevice 08b3 (address 02) bus 2, path 1
( )000001 1d6b:0003 bcdDevice 0510 (address 01) bus 2,
( )000002 8087:0a2b bcdDevice 0010 (address 03) bus 1, path 3
(*)000003 2109:2822 bcdDevice 08b3 (address 02) bus 1, path 2
( )000004 1d6b:0002 bcdDevice 0510 (address 01) bus 1,
----------------------------------------------------------------
    check_matching
    Checking_Current_Firmware...
    Found_HD1_at_00_With_Update_0
    Updating_Firmware_Data...
    Updating_Firmware_Header_2...  
 				   
===========================
=   Hub_FW_Update_PASS.   =
===========================

```
写入后，要断电重启。

### 读固件
确认写入成功，版本是*08C3*

```shell
seeed@seeed-desktop:~/Release_20210830$ sudo ./hub_update -vid=2109 -pid=2822 -readveronly=1
[sudo] password for seeed: 
========================================
=   VLI Hub Linux Console Tool v 0.0   =
=                                      =
=              Sherlock Chu            =
=               2021.08.26             =
========================================

   device vid :pid  bcdDevice      (address)    bus    path
----------------------------------------------------------------
( )000000 2109:0822 bcdDevice 08c3 (address 02) bus 2, path 1
( )000001 1d6b:0003 bcdDevice 0510 (address 01) bus 2,
( )000002 8087:0a2b bcdDevice 0010 (address 03) bus 1, path 3
(*)000003 2109:2822 bcdDevice 08c3 (address 02) bus 1, path 2
( )000004 1d6b:0002 bcdDevice 0510 (address 01) bus 1,
----------------------------------------------------------------

=========================================
=       Hub[0] FW Version is 08C3       =
=========================================


```

